# Interface Controller

AngularJS component lifecycle interface.

interface Controller {
$onChanges?: (changes: OnChangesObject) => void;
$onDestroy?: () => void;
$onInit?: () => void;
$postLink?: () => void;
name?: string;
}

- Defined in src/interface.ts:129

##### Index

### Properties

$onChanges?
$onDestroy?
$onInit?
$postLink?
name?

## Properties

### `Optional`$onChanges

$onChanges?: (changes: OnChangesObject) => void

Called when one-way bindings are updated

- Defined in src/interface.ts:135

### `Optional`$onDestroy

$onDestroy?: () => void

Called before the controller is destroyed

- Defined in src/interface.ts:137

### `Optional`$onInit

$onInit?: () => void

Called when the controller is initialized

- Defined in src/interface.ts:133

### `Optional`$postLink

$postLink?: () => void

Called after the component is linked

- Defined in src/interface.ts:139

### `Optional` name

name?: string

Optional controller name (used in debugging)

- Defined in src/interface.ts:131